Add website
curl --request POST \
--url https://sitegpt.ai/api/v2/chatbots/{chatbotId}/knowledge/website \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com",
"maxDepth": 3,
"maxLinks": 100,
"scrapeOptions": {
"onlyMainContent": true
}
}
'import requests
url = "https://sitegpt.ai/api/v2/chatbots/{chatbotId}/knowledge/website"
payload = {
"url": "https://example.com",
"maxDepth": 3,
"maxLinks": 100,
"scrapeOptions": { "onlyMainContent": True }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com',
maxDepth: 3,
maxLinks: 100,
scrapeOptions: {onlyMainContent: true}
})
};
fetch('https://sitegpt.ai/api/v2/chatbots/{chatbotId}/knowledge/website', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"document": {
"id": "document-id",
"name": "Example document",
"createdAt": "2026-05-13T00:00:00.000Z"
}
},
"meta": {
"requestId": "request-id"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}Knowledge
Add website
Crawl and add a website to chatbot knowledge.
Required scope: knowledge:write.
POST
/
api
/
v2
/
chatbots
/
{chatbotId}
/
knowledge
/
website
Add website
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required range:
1 <= x <= 5Required range:
1 <= x <= 1000Available options:
NEVER, DAILY, WEEKLY, MONTHLY Show child attributes
Show child attributes
Was this page helpful?
⌘I